#ifndef LIB_FRACTAL_H
#define LIB_FRACTAL_H

bool Fractal_Create(float *data, float min, float max, int width, int height, int step_size, int filter_level);
bool Fractal_Create_Unclean(float *data, int width, int height, int step_size, int filter_level);

bool Blur_Array(float *data, float *blend, int width, int height, int data_step_size, int blend_step_size);

bool Normalize_Array(float *data, int count, int step_size);

bool Scale_Array(float *data, int count, int step_size, float scale);
bool Add_Array(float *data, int count, int step_size, float add);

//now i'm really getting sloppy:
extern float fractal_proportion_scalar;

bool Perlin_Create(float *data, int width, int height, int step, int detail, float persistence, float amplitude, float frequency, float ofsx, float ofsy, int seed);

#endif
